
Redmine - Defect #6656

Mercurial adapter loses seconds of commit times

2010-10-13 11:20 - Toshi MARUYAMA

Status: Closed Start date: 2010-10-13

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: SCM Estimated time: 0.00 hour

Target version: 1.0.5   

Resolution: Fixed Affected version: 1.0.2

Description

This issue is reported at note-85 of #4455 .

As I described at note-86 of #4455 , template keyword at 

source:tags/1.0.2/lib/redmine/scm/adapters/mercurial/hg-template-1.0.tmpl#L4 is isodate .

isodatesec is supported since Mercurial revision 8999d1249171 , which means Mercurial 1.0 has it.

Following is hg log output of source:/tags/1.0.2/test/fixtures/repositories/mercurial_repository.tar.gz .

$ hg log -r 76bce72867b1 --template='{date|isodate}\n'

2007-12-14 16:15 +0100

$ hg log -r 76bce72867b1 --template='{date|isodatesec}\n'

2007-12-14 16:15:51 +0100

 There are my patches at following links.

http://www.redmine.org/attachments/4219/hg-isodatesec.patch

http://bitbucket.org/yuja/redmine-mq-issue4455/src/d6bc15c54f5d/hg-isodatesec.patch

I pushed it to my github repository.

http://github.com/marutosi/redmine/commits/hg-isodatesec

http://github.com/marutosi/redmine/commits/c60463816bd02fbadb61

English locale does not show seconds, but Italian locale shows seconds.

source:/tags/1.0.2/config/locales/en.yml#L22

source:/tags/1.0.2/config/locales/it.yml#L20

I post Italian locale images.

Before patch applied
isodatesec-it-before.png 

After patch applied
isodatesec-it-after.png 

Associated revisions

Revision 4561 - 2010-12-23 10:56 - Jean-Philippe Lang

Fixes: Mercurial adapter loses seconds of commit times (#6656).

History

#1 - 2010-10-13 11:22 - Toshi MARUYAMA

- File isodatesec-it-before.png added

- File isodatesec-it-after.png added

#2 - 2010-11-27 13:09 - Toshi MARUYAMA
- File hg-isodatesec.patch added

As I described at note-164 of #4455, bug fix for this issue is no behavior change (very minor behavior change).

I attach hg-isodatesec.patch again.

This patch is same with http://www.redmine.org/attachments/4219/hg-isodatesec.patch at note-144 of #4455,

Please set this issue target 1.0.4.

#3 - 2010-11-28 02:25 - Toshi MARUYAMA

- File hg-isodatesec-20101128.patch added

I have updated unit test to switch Mercurial version higher than 1.0 or not.

Because template keyword 'isodatesec' is supported supported in Mercurial 1.0 and higher.

I attache hg-isodatesec-20101128.patch .

Please set this issue target 1.0.4.

#4 - 2010-11-28 16:07 - Toshi MARUYAMA

Is next release version 1.1.0?

Could someone set this issue target to next release version?

#5 - 2010-11-28 18:02 - Jean-Philippe Lang

- Target version set to 1.0.5

#6 - 2010-12-23 10:56 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Committed in r4561.

Files
